<?php


class FollowerYab {
    // API URL
    public $api_url = 'https://api.followeryab.com/api';

    // Your API key
    public $api_key = 'key';

    /**
     * @param $data
     * @return mixed
     */
    public function add_order($data) {
        $post = array_merge(array('key' => $this->api_key, 'action' => 'add'), $data);
        $result = $this->connect($post);
        return json_decode($result);
    }


    public function price($data) {
        $post = array_merge(array('key' => $this->api_key, 'action' => 'price'), $data);
        $result = $this->connect($post);
        return json_decode($result);
    }

    /**
     * @param $order_id
     * @return mixed
     */
    public function status($order_id) {
        $result = $this->connect(array(
            'key'    => $this->api_key,
            'action' => 'status',
            'order'  => $order_id
        ));
        return json_decode($result);
    }

    /**
     * @param $order_ids
     * @return mixed
     */

    public function multi_status($order_ids) {
        $result = $this->connect(array(
            'key'        => $this->api_key,
            'action'     => 'multi_status',
            'orders'     => implode(",", (array)$order_ids)
        ));
        return json_decode($result);
    }


    /**
     * @return mixed
     */
    public function services() {
        $result = $this->connect(array(
            'key'     => $this->api_key,
            'action'  => 'services',
        ));
        return json_decode($result);
    }

    /**
     * @return mixed
     */
    public function balance() {
        $result = $this->connect(array(
            'key'     => $this->api_key,
            'action'  => 'balance',
        ));
        return json_decode($result);
    }

    /**
     * @param $post
     * @return bool|mixed
     */
    private function connect($post) {
        $_post = Array();

        if (is_array($post)) {
            foreach ($post as $name => $value) {
                $_post[] = $name.'='.urlencode($value);
            }
        }
        $url_complete = '';
        if (is_array($post)) {
            $url_complete = join('&', $_post);
        }
        $url = $this->api_url."?".$url_complete;
        echo $url;die;
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_USERAGENT, 'API (compatible; MSIE 5.01; Windows NT 5.0)');
        $result = curl_exec($ch);
        if (curl_errno($ch) != 0 && empty($result)) {
            $result = false;
        }
        curl_close($ch);
        return $result;

    }
}


